Debian Bug report logs - #671455
ITA: cmph -- C Minimal Perfect Hashing Library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Enrico Tassi <gareuselesinge@debian.org>

Date: Fri, 4 May 2012 08:27:02 UTC

Owned by: Joseph Herlant <herlantj@gmail.com>

Severity: normal

Fixed in version cmph/2.0-1

Done: Joseph Herlant <herlantj@gmail.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#671455; Package wnpp. (Fri, 04 May 2012 08:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 04 May 2012 08:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: cmph - C Minimal Perfect Hashing Library
Date: Fri, 04 May 2012 10:23:49 +0200
Package: wnpp
Severity: normal

Description:
 Minimal perfect hash functions are widely used for memory efficient storage
 and fast retrieval of items from static sets, such as words in natural
 languages, reserved words in programming languages or interactive systems,
 universal resource locations (URLs) in Web search engines, or item sets in
 data mining techniques.

I lost interest in this package. It was packaged as a dependency of lua-gtk,
that is
not in the archive anylonger. Popcon is low but not zero, so maybe there is
still
someone interested in maintaining cmph, and packaging a more recent version of
it.

The package is maintained here:
  svn+ssh://svn.debian.org/svn/collab-maint/deb-maint/cmph

Feel free to take care of it!

Cheers




Changed Bug title to 'RFA: cmph -- C Minimal Perfect Hashing Library' from 'RFA: cmph - C Minimal Perfect Hashing Library' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 08 Jun 2012 18:03:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#671455; Package wnpp. (Tue, 08 Jan 2013 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Abrahamson <jeff@purple.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 08 Jan 2013 20:21:03 GMT) Full text and rfc822 format available.

Message #12 received at 671455@bugs.debian.org (full text, mbox):

From: Jeff Abrahamson <jeff@purple.com>
To: 671455@bugs.debian.org
Subject: interested in helping
Date: Tue, 08 Jan 2013 21:19:32 +0100
I'm interested in helping, with thoughts of becoming a DM.
Any pointers or tips on next steps welcome.

Thanks.

-- 

Jeff Abrahamson

http://jeff.purple.com/
http://blog.purple.com/jeff/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#671455; Package wnpp. (Wed, 05 Mar 2014 18:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joseph Herlant <herlantj@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Mar 2014 18:03:11 GMT) Full text and rfc822 format available.

Message #17 received at 671455@bugs.debian.org (full text, mbox):

From: Joseph Herlant <herlantj@gmail.com>
To: 671455@bugs.debian.org, Enrico Tassi <gareuselesinge@debian.org>, Jeff Abrahamson <jeff@purple.com>
Subject: ITA: cmph -- C Minimal Perfect Hashing Library
Date: Wed, 5 Mar 2014 18:57:51 +0100
Control: retitle -1 ITA: cmph -- C Minimal Perfect Hashing Library
Control: owner -1 !

Dear Enrico,

As I was playing with the packaging of this lib, I'm currently
finalizing the packaging of the latest version of cmph.
I intend to adopt it. I'll upload the package to mentors in the next
few days (still some lintian infos and pedantics to correct and checks
to do about #715745).

@Jeff, still interested in working on Debian?
I'd suggest you to begin with this: http://mentors.debian.net/intro-maintainers
Don't hesitate to contact me if you need help. I'm not a DM or DD but
I can help if you're really a beginner.

Best regards,
Joseph



Changed Bug title to 'ITA: cmph -- C Minimal Perfect Hashing Library' from 'RFA: cmph -- C Minimal Perfect Hashing Library' Request was from Joseph Herlant <herlantj@gmail.com> to 671455-submit@bugs.debian.org. (Wed, 05 Mar 2014 18:03:11 GMT) Full text and rfc822 format available.

Owner recorded as Joseph Herlant <herlantj@gmail.com>. Request was from Joseph Herlant <herlantj@gmail.com> to 671455-submit@bugs.debian.org. (Wed, 05 Mar 2014 18:03:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671455: 741038 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 08 Mar 2014 04:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#671455; Package wnpp. (Mon, 10 Mar 2014 10:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joseph Herlant <herlantj@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Mar 2014 10:09:10 GMT) Full text and rfc822 format available.

Message #28 received at 671455@bugs.debian.org (full text, mbox):

From: Joseph Herlant <herlantj@gmail.com>
To: 671455@bugs.debian.org
Subject: cmph: uploaded to mentors
Date: Mon, 10 Mar 2014 11:05:56 +0100
Control: tags -1 +pending

Hi,

Package is now available at: http://mentors.debian.net/package/cmph

Best regards,
Joseph



Added tag(s) pending. Request was from Joseph Herlant <herlantj@gmail.com> to 671455-submit@bugs.debian.org. (Mon, 10 Mar 2014 10:09:10 GMT) Full text and rfc822 format available.

Reply sent to Joseph Herlant <herlantj@gmail.com>:
You have taken responsibility. (Tue, 11 Mar 2014 09:51:05 GMT) Full text and rfc822 format available.

Notification sent to Enrico Tassi <gareuselesinge@debian.org>:
Bug acknowledged by developer. (Tue, 11 Mar 2014 09:51:06 GMT) Full text and rfc822 format available.

Message #35 received at 671455-close@bugs.debian.org (full text, mbox):

From: Joseph Herlant <herlantj@gmail.com>
To: 671455-close@bugs.debian.org
Subject: Bug#671455: fixed in cmph 2.0-1
Date: Tue, 11 Mar 2014 09:49:47 +0000
Source: cmph
Source-Version: 2.0-1

We believe that the bug you reported is fixed in the latest version of
cmph, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671455@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joseph Herlant <herlantj@gmail.com> (supplier of updated cmph package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 05 Mar 2014 11:17:06 +0100
Source: cmph
Binary: libcmph0 libcmph-dev libcmph-tools
Architecture: source amd64
Version: 2.0-1
Distribution: unstable
Urgency: low
Maintainer: Joseph Herlant <herlantj@gmail.com>
Changed-By: Joseph Herlant <herlantj@gmail.com>
Description: 
 libcmph-dev - C Minimal Perfect Hashing Library development files
 libcmph-tools - C Minimal Perfect Hashing Library command line utilities
 libcmph0   - C Minimal Perfect Hashing Library
Closes: 671455 715745
Changes: 
 cmph (2.0-1) unstable; urgency=low
 .
   * New maintainer. (Closes: #671455)
   * Correcting a potential division by zero, leading to a segfault
     (Closes: #715745)
   * Adding a quilt patch to remove lintian complains about
     hyphen-used-as-minus-sign
   * Adding symbol file for libcmph0
   * Correcting Lintian complains:
     - build-depends-on-obsolete-package: Switching to quilt
     - non-empty-dependency_libs-in-la-file: adding sed to debian/rules
     - ancient-standards-version: updating debian/control
     - debian-rules-uses-deprecated-makefile: removing makefiles
     - patch-system-but-no-source-readme: switching to quilt. Existing patch
       was not needed anymore.
     - outdated-autotools-helper-file: updating debian/rules and debian/control
       and debian/compat
     - copyright-refers-to-versionless-license-file: moving debian/copyright to
       DEP5 format
     - duplicate-long-description: updating devel package description in
       debian/control
     - missing-debian-source-format: adding debian/source/format
     - hyphen-used-as-minus-sign: adding a quilt patch to correct the
       man/cmph.1
Checksums-Sha1: 
 79507368caf888fe3943318a5e16585ba7667be6 1897 cmph_2.0-1.dsc
 eabdd4cd9f9bb2fed6773caac8d91638ad2d02b7 480924 cmph_2.0.orig.tar.gz
 1bbe948b32e6866b93b95bb75442077d6a01a148 12496 cmph_2.0-1.debian.tar.xz
 6b303da04ff7f6a5062e8111f6439f253f94e2c1 56876 libcmph0_2.0-1_amd64.deb
 04aa2a741a223c8e510c5872c94d6ba64fdb842e 59466 libcmph-dev_2.0-1_amd64.deb
 61ab3091c346494c80dfeb5c8b05110c6d0d4adc 20538 libcmph-tools_2.0-1_amd64.deb
Checksums-Sha256: 
 53d9d62595ab498b48c2a4ee3e9f00e7379a3c063c69b80f46b464a4af1b15bf 1897 cmph_2.0-1.dsc
 ad6c9a75ff3da1fb1222cac0c1d9877f4f2366c5c61c92338c942314230cba76 480924 cmph_2.0.orig.tar.gz
 b10cd609382ad0f27b53234108020e7f963e8aa9f0f3303fc2a805d391586ca9 12496 cmph_2.0-1.debian.tar.xz
 c155defeee0efa509a8932b2d6e962f3ee515ab9c531ede068dd354db7b8563e 56876 libcmph0_2.0-1_amd64.deb
 f26666b8f93ea408cbba5573f40c6a61c468fe377955f91de6c277308a30300c 59466 libcmph-dev_2.0-1_amd64.deb
 ed629b13613326a071c5bc4a211a61328bb282895b9916669d3b73f7a65ab3c4 20538 libcmph-tools_2.0-1_amd64.deb
Files: 
 91d85cc53be74e92ca2084fe59618d14 1897 libs optional cmph_2.0-1.dsc
 020946deef7418d9daf4195556ecac12 480924 libs optional cmph_2.0.orig.tar.gz
 e77603f8b95d9ef04c735063af29d4eb 12496 libs optional cmph_2.0-1.debian.tar.xz
 0541cb8564122582e8d5e40946f8b3c9 56876 libs optional libcmph0_2.0-1_amd64.deb
 d651cf1b8fac68ef880d12287d828f23 59466 libdevel optional libcmph-dev_2.0-1_amd64.deb
 cbd9b612278941905cd7d64ddb277e03 20538 utils optional libcmph-tools_2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJTHtbnAAoJEI7tzBuqHzL/ZGcQAO7hdNItAIx9qX+cLQR6Xe4m
q1dx9AJ2WPNEFvlVoYZOUa0vllJrVMKMqED4b76PDi6VDAovVv63j/7e1FiWtaME
T1919cEv7LLDMBAQuJ95VV7b+KPy9ueuxNEY8UqW61mKmeAftPIjBioG8hGgqQR7
DXZI6NbQgJceBldnTZeH++lMslwsQRSG1EJBYHPhiCOY1P/+g88fr6+ssap0Cgmc
mMFQ5wYEg4E7C1DxgUaZyhqurk6xXP/zYa/a3Y4uXnT+ftdvbRO/qh2jCYKnVLUE
En1DiMrz93He0e78By0Xq4YL1WpCGBy2hluvVxuoP3tXy9A+3DpwLPI3vkCIRvjB
qvsv4WGnXXzmkJ5+acPcOnyPKpBiZbkc1PquRmvJawZPkrG68jGIOed8ZuHdMTHm
BJ2fApvs1xat8p2sjoWZ2DsPYH+5kFuadiOa3/NGeBKEF8/pDvF7VkI5/fd1g3v1
zidGIUJaiDTVogrcZJkpTEk/RVLxQXMsvV7ZLHV5RODSarmAyezJw6Ec2gHYMMDb
KKZLZsxmSTnI1eLnSqjegf1W7yU4cywr8ocP0TCQINRbfOnBTkbx3mfDA8Hu8YTC
bE76qtzMbb6YhM/7S/2/myftCOXXoap6w2BP4vpf4d7H6QGU9OQq9NQsbhUrE2Ez
2SonFR+CIjD2+W5XgY1d
=1ZHn
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Herlant <herlantj@gmail.com>:
Bug#671455; Package wnpp. (Thu, 27 Mar 2014 04:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Abrahamson <jeff@purple.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Herlant <herlantj@gmail.com>. (Thu, 27 Mar 2014 04:51:09 GMT) Full text and rfc822 format available.

Message #40 received at 671455@bugs.debian.org (full text, mbox):

From: Jeff Abrahamson <jeff@purple.com>
To: Joseph Herlant <herlantj@gmail.com>
Cc: 671455@bugs.debian.org, Enrico Tassi <gareuselesinge@debian.org>
Subject: Re: ITA: cmph -- C Minimal Perfect Hashing Library
Date: Thu, 27 Mar 2014 04:47:43 +0000
[Message part 1 (text/plain, inline)]
Joseph, thanks for the cc.  Glad to see cmph getting some love.
I'm too busy at the moment to return to working on Debian.
I'd like that to change, but for now that's it.

Regards,


Jeff Abrahamson
+33 6 24 40 01 57
+44 7920 594 255

http://jeff.purple.com/
http://blog.purple.com/jeff/


On 5 March 2014 17:57, Joseph Herlant <herlantj@gmail.com> wrote:

> Control: retitle -1 ITA: cmph -- C Minimal Perfect Hashing Library
> Control: owner -1 !
>
> Dear Enrico,
>
> As I was playing with the packaging of this lib, I'm currently
> finalizing the packaging of the latest version of cmph.
> I intend to adopt it. I'll upload the package to mentors in the next
> few days (still some lintian infos and pedantics to correct and checks
> to do about #715745).
>
> @Jeff, still interested in working on Debian?
> I'd suggest you to begin with this:
> http://mentors.debian.net/intro-maintainers
> Don't hesitate to contact me if you need help. I'm not a DM or DD but
> I can help if you're really a beginner.
>
> Best regards,
> Joseph
>
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:31:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.